<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MapActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/relTop"
        android:background="@color/Dark"
        android:orientation="horizontal"
        android:paddingBottom="5dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="12sp"
                android:id="@+id/textInOut"
                android:text="@string/jam_masuk"
                android:layout_marginTop="10dp"
                android:layout_marginStart="10dp"
                android:textStyle="bold"
                android:fontFamily="@font/lato_regular"
                android:textColor="@color/Yellow" />
            <TextView
                android:id="@+id/textHour"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="5dp"
                android:gravity="center"
                android:textSize="18sp"
                android:fontFamily="@font/lato_regular"
                android:textStyle="normal"
                android:textColor="#fff"
                tools:layout_editor_absoluteX="75dp"
                tools:layout_editor_absoluteY="177dp" />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="bottom|right">

            <TextView
                android:id="@+id/checkKehadiran"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="10dp"
                android:textSize="14sp"
                android:fontFamily="@font/lato_regular"
                android:textColor="#fff" />

        </RelativeLayout>
    </LinearLayout>

    <fragment
        android:id="@+id/mapView"
        class="com.google.android.gms.maps.SupportMapFragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/relTop" />

<!--    <com.esri.arcgisruntime.mapping.view.MapView-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="match_parent"-->
<!--        android:id="@+id/AbsenceMapView">-->
<!--    </com.esri.arcgisruntime.mapping.view.MapView>-->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingBottom="10dp"
        android:paddingRight="10dp"
        android:paddingLeft="10dp"
        android:layout_alignParentBottom="true"
        android:background="@color/Dark">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginTop="10dp">

            <Button
                android:layout_width="0dp"
                android:layout_weight="0.8"
                android:layout_height="40dp"
                android:background="@drawable/round_button_tapping"
                android:textSize="12sp"
                android:textStyle="bold"
                android:fontFamily="@font/lato_regular"
                android:textAllCaps="false"
                android:id="@+id/bt_draw"
                android:layout_marginRight="20dp"/>

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.2"
                android:fontFamily="@font/lato_regular"
                android:textSize="14sp"
                android:background="@drawable/round_button_refresh"
                android:gravity="center"
                android:id="@+id/bt_clear">
                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/ic_reload"/>
            </RelativeLayout>

        </LinearLayout>
    </LinearLayout>
</RelativeLayout>